%global revision 20100203

Summary:        PAR 2.0 compatible file verification and repair tool
Name:           par2cmdline
Version:        0.4.tbb.%{revision}
Release:        1%{?dist}
License:        GPLv2+
Group:          Applications/Archiving
Source:         http://www.chuchusoft.com/par2_tbb/par2cmdline-0.4-tbb-%{revision}.tar.gz
Patch1:         par2-tbb-packed.patch
Patch3:         par2-tbb-fortify-source-fix.patch
Patch4:         par2-tbb-disable-concurrent-support.patch
Patch5:         par2cmdline-gcc-compile-fix.patch
Patch6:         par2cmdline-fix-dso-linking.patch
URL:            http://parchive.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes:      parchive <= 1.1.4
Provides:       parchive = 1.1.4.0.par2.%{version}

%ifarch %{ix86} x86_64
BuildRequires:  tbb-devel
%endif


%description
par2cmdline is a program for creating and using PAR2 files to detect damage
in data files and repair them if necessary. PAR2 files are usually
published in binary newsgroups on Usenet; they apply the data-recovery
capability concepts of RAID-like systems to the posting and recovery of
multi-part archives.


%prep
%setup -q -n par2cmdline-0.4-tbb-%{revision}
%patch1 -p1
%patch3 -p0

# Intel threading blocks is only available on x86 hardware
%ifnarch %{ix86} x86_64
# This patch strips out the TBB-specific code
%patch4 -p0

# Don't link against TBB, but against the rt library (for aio_read/aio_write)
sed -i s/-ltbb/-lrt/ Makefile.in
%endif

# Fix a compile error on Fedora 13, FTBFS bug #539005
%patch5 -p0

# Fix DSO linking, bug #564834
%patch6 -p0

# fix end-of-lines of several files
sed -i 's/\r//' AUTHORS PORTING README ROADMAP


%build
%configure
make %{_smp_mflags}
chmod 644 ChangeLog galois.h par1repairer.cpp par2repairer.cpp par2repairersourcefile.cpp par2repairersourcefile.h


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
ln -sf par2 $RPM_BUILD_ROOT/%{_bindir}/par


%clean
rm -rf $RPM_BUILD_ROOT


%check
chmod +x test[1-6] pretest posttest
make check-TESTS


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README 
%{_bindir}/par	
%{_bindir}/par2	
%{_bindir}/par2create	
%{_bindir}/par2repair	
%{_bindir}/par2verify


%changelog
* Sat Nov 19 2011 Andrew Wyatt <andrew@fuduntu.org>
- Built for Fuduntu

* Wed Nov 16 2011 Andrew Wyatt <andrew@fuduntu.org>
- Built for Fuduntu

* Wed Nov 16 2011 Andrew Wyatt <andrew@fuduntu.org>
- Built for Fuduntu

* Sat Jun 12 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.4.tbb.20100203-2
- Fix DSO linking failure (BZ #564834)

